[Libreoffice-commits] .: bin/unpack-sources download

Petr Mladek pmladek at kemper.freedesktop.org
Fri Apr 13 07:22:07 PDT 2012


 bin/unpack-sources |   17 +++++++++--------
 download           |   14 +++++++-------
 2 files changed, 16 insertions(+), 15 deletions(-)

New commits:
commit f780859b76263638b9227122e465b0c629c7ca3e
Author: Petr Mladek <pmladek at suse.cz>
Date:   Fri Apr 13 16:20:55 2012 +0200

    unpack-sources, download: update for .xz source tarballs

diff --git a/bin/unpack-sources b/bin/unpack-sources
index 130c9a2..271a5e3 100755
--- a/bin/unpack-sources
+++ b/bin/unpack-sources
@@ -73,13 +73,13 @@ if test -z "$start_dir" ; then
     echo "Error: Please, define where to unpack sources, try --help"
 fi
 
-if ! test -d $start_dir/src -a -f $start_dir/solenv/inc/target.mk ; then
-    echo "Error: $start_dir is not a valid bootstrap directory"
+if ! test -f $start_dir/Repository.mk -a -f $start_dir/solenv/inc/target.mk ; then
+    echo "Error: $start_dir is not a valid LibreOffice core source directory"
     exit 1;
 fi
 
-if test ! -f $start_dir/bootstrap.ver -o -d $start_dir/.git ; then
-    echo "Warning: bootstrap sources are from git and not from tarball"
+if test ! -f $start_dir/core.ver -o -d $start_dir/.git ; then
+    echo "Warning: core sources are from git and not from tarball"
     echo "         Do nothing."
     exit 0;
 fi
@@ -89,17 +89,18 @@ lo_src_dir="$start_dir/src"
 mkdir -p "$lo_src_dir"
 
 for tarball in $tarballs ; do
-    tarname=`basename $tarball | sed -e "s/.tar.bz2//"`
+    tarname=`basename $tarball | sed -e "s/\.tar\..*//"`
     if test -d $lo_src_dir/$tarname ; then
         echo "Warning: $lo_src_dir/$tarname already exists => skipping"
         continue;
     fi
 
     echo "Unpacking $tarname..."
-    tar -xjf "$tarball" -C "$lo_src_dir"
+    echo tar -xf "$tarball" -C "$lo_src_dir"
+    tar -xf "$tarball" -C "$lo_src_dir"
 
-    # create symlinks
-    for dir in `find "$lo_src_dir/$tarname" -mindepth 1 -maxdepth 1 -type d -printf "$tarname/%f\n"` ; do
+    # create symlinks for module directories; ignore git-hooks directory
+    for dir in `find "$lo_src_dir/$tarname" -mindepth 1 -maxdepth 1 -type d -path $lo_src_dir/$tarname/git-hooks -o -printf "$tarname/%f\n"` ; do
         ln -sf "src/$dir" "$start_dir"
     done
 done
diff --git a/download b/download
index e5aad88..4476fef 100755
--- a/download
+++ b/download
@@ -183,17 +183,17 @@ if [ "$COM" = "MSC" ]; then
     downloaditem "http://download.microsoft.com/download/a/b/c/abc45517-97a0-4cee-a362-1957be2f24e1/" "WindowsXP-KB975337-x86-ENU.exe" "946d00d87e4094f3a6e425e2d538eadd"
 fi
 
-if [ -f $start_dir/bootstrap.ver -a ! -d $start_dir/.git ] ; then
-    # bootstrap is from sources, so get the other source tarballs
-    . $start_dir/bootstrap.ver
+if [ -f $start_dir/core.ver -a ! -d $start_dir/.git ] ; then
+    # core is from sources, so get the other source tarballs
+    . $start_dir/core.ver
     lo_src_dir="$start_dir/src"
     mkdir -p "$lo_src_dir"
     for piece in `cat $start_dir/bin/repo-list` ; do
-        tarname="libreoffice-$piece-$lo_bootstrap_ver"
-        if [ ! -f "$TARFILE_LOCATION/$tarname.tar.bz2" ] ; then
-	    downloaditem "http://download.documentfoundation.org/libreoffice/src/" "$tarname.tar.bz2" ""
+        tarname="libreoffice-$piece-$lo_core_ver"
+        if [ ! -f "$TARFILE_LOCATION/$tarname.tar.xz" ] ; then
+	    downloaditem "http://download.documentfoundation.org/libreoffice/src/" "$tarname.tar.xz" ""
 	fi
-	$start_dir/bin/unpack-sources $start_dir $TARFILE_LOCATION/$tarname.tar.bz2
+	$start_dir/bin/unpack-sources $start_dir $TARFILE_LOCATION/$tarname.tar.xz
     done
 fi
 


More information about the Libreoffice-commits mailing list